Welcome

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

Retrieve welcome current

Aggregated payload for the invited-user welcome screen.

Response


Example request

GET /api/organizations/:organization_id/welcome/current
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/welcome/current/

Example response

Status 200
RESPONSE
{
"organization_name": "string",
"inviter": {
"name": "string",
"email": "user@example.com"
},
"team_members": [
{
"name": "string",
"email": "user@example.com",
"avatar": "string",
"role": "string",
"last_active": "today"
}
],
"recent_activity": [
{
"type": "string",
"actor_name": "string",
"entity_name": "string",
"entity_url": "string",
"timestamp": "2019-08-24T14:15:22Z"
}
],
"popular_dashboards": [
{
"id": 0,
"name": "string",
"description": "string",
"team_id": 0,
"url": "string"
}
],
"products_in_use": [
"string"
],
"suggested_next_steps": [
{
"label": "string",
"href": "string",
"reason": "string",
"docs_href": "string",
"product_key": "string"
}
],
"is_organization_first_user": true
}
Status 404 Current organization not found

Community questions

Questions about this page? or post a community question.